[ { "main_key":"Set_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Set_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"設定(&S)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3Structure_DisplayOption",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3Structure_DisplayOption",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"顯示細項",
        "visible":"Y",
        "short_cmd":"DispOpt"
      },
      { "main_key":"CCmd3_Edit_Parameters_Drawing",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Edit_Parameters_Drawing",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"繪圖參數-一般",
        "visible":"Y",
        "short_cmd":"Edit.Parameters.Drawing"
      },
      { "main_key":"CCmd3_Precision_Control",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Precision_Control",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"模型參數",
        "visible":"Y",
        "short_cmd":"Precision"
      },
      { "main_key":"---",
        "type":"---",
        "ui_level":"0",
        "cmd_name":"---",
        "auto_mnemonic":"N",
        "grayed":"N",
        "check":"N",
        "show_name":"---",
        "visible":"Y"
      },
      { "main_key":"CCmd3_Code_for_All",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Code_for_All",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"撿料參數-全棟",
        "visible":"Y",
        "short_cmd":"code.all"
      },
      { "main_key":"---",
        "type":"---",
        "ui_level":"0",
        "cmd_name":"---",
        "auto_mnemonic":"N",
        "grayed":"N",
        "check":"N",
        "show_name":"---",
        "visible":"Y"
      },
      { "main_key":"globals.option.edit",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_CRCADLib_Option_Edit",
			  "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"一般選項",
        "visible":"Y"
      },
      { "main_key":"Edit.Option.RebarTable",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Edit_Option_RebarTable",
			  "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"鋼筋表選項",
        "visible":"Y"
      },
      { "main_key":"XDB_Connect_RCAD_Building",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_XDB_Connect_RCAD_Building",
			  "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"資料庫",
        "visible":"N"
      }
    ]
  },
  { "main_key":"Beam_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Beam_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"梁(&B)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Code_for_beam",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Code_for_beam",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"撿料參數",
        "visible":"Y",
        "short_cmd":"code.beam"
      },
      { "main_key":"CCmd3_DrawCtl_Beam_Edit",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_DrawCtl_Beam_Edit",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"繪圖參數-梁台料表",
        "visible":"Y",
        "short_cmd":"DrawBeams.material.table"
      }
    ]
  },
  { "main_key":"Column_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Column_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"柱(&C)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Code_for_Column",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Code_for_Column",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"撿料參數",
        "visible":"Y",
        "short_cmd":"code.column"
      },
      { "main_key":"CCmd3_DrawCtl_Column_Edit",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_DrawCtl_Column_Edit",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"繪圖參數-柱台料表",
        "visible":"Y",
        "short_cmd":"DrawColumns.material.table"
      }
    ]
  },
  { "main_key":"Slab_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Slab_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"版(&W)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Code_for_Slab",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Code_for_Slab",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"撿料參數",
        "visible":"Y",
        "short_cmd":"code.slab"
      },
      { "main_key":"CCmd3_DrawCtl_Slab_Edit",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_DrawCtl_Slab_Edit",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"繪圖參數-施工圖",
        "visible":"Y",
        "short_cmd":"DrawSlab.material.table"
      }
    ]
  },
  { "main_key":"Wall_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Wall_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"牆(&W)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Code_for_Wall",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Code_for_Wall",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"撿料參數",
        "visible":"Y",
        "short_cmd":"code.wall"
      },
      { "main_key":"CCmd3_DrawCtl_Wall_Edit",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_DrawCtl_Wall_Edit",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"繪圖參數-施工圖",
        "visible":"Y",
        "short_cmd":"DrawWall.material.table"
      }
    ]
  },
  { "main_key":"Moldboard_Menu",
    "type":"M=",
    "ui_level":"0",
    "cmd_name":"Moldboardx",
    "auto_mnemonic":"N",
		"grayed":"N",
    "check":"N",
    "show_name":"模版算量(&M)",
    "visible":"N"
  },
  { "main_key":"Export_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Export_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"轉圖(&W)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Export_PlaneDrawing",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Export_PlaneDrawing",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"輸出平面",
        "visible":"Y"
      }
    ]
  },
  { "main_key":"Tool_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Tool_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"工具(&K)",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd3_Measure_Distance",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Measure_Distance",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"量測距離",
        "visible":"Y"
      },
      { "main_key":"CCmd3_Measure_Curve_Length",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Measure_Curve_Length",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"曲線長度",
        "visible":"Y"
      },
      { "main_key":"set.Precision",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Set_PrecisionCtl",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"設定精度",
        "visible":"Y"
      },
      { "main_key":"View_Menu",
        "type":"pop",
        "ui_level":"0",
        "cmd_name":"View_Menu",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"觀視(&V)",
        "visible":"Y",
        "items":[
          { "main_key":"CCmd3View_Set_Viewing",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3View_Set_Viewing",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"設定視窗",
            "visible":"Y"
          },
          { "main_key":"CCmd3Render_Switch",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3Render_Switch",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"Render",
            "short_cmd":"render",
            "visible":"Y"
          },
          { "main_key":"CCmd3_Set_Lights",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3_Set_Lights",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"設定光源",
            "short_cmd":"light",
            "visible":"Y"
          },
          { "main_key":"CCmd3View_Set_TrackBall",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3View_Set_TrackBall",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"設定旋轉機制",
            "visible":"Y"
          },
          { "main_key":"CCmd3_RTMove_Dlg",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3_RTMove_Dlg",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"定量觀視",
            "visible":"N"
          },
          { "main_key":"CCmd3View_DispOption",
            "type":"cmd",
            "ui_level":"0",
            "cmd_name":"CCmd3View_DispOption",
            "auto_mnemonic":"Y",
            "grayed":"N",
            "check":"N",
            "show_name":"縮放平移",
            "visible":"N"
          }
        ]
      },
      { "main_key":"CCmd3Ele_OnOff",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3Ele_OnOff",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"開關物件",
        "visible":"N"
      },
      { "main_key":"CCmd3Ele_Delete",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3Ele_Delete",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"刪除物件",
        "visible":"N"
      },
      { "main_key":"CCmd3_Find_Obj",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Find_Obj",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"尋找物件",
        "visible":"N"
      },
      { "main_key":"Merge_Material_Report",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Merge_Material_Report",
			  "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"合併料單",
        "visible":"Y"
      },
      { "main_key":"Mark_Point_Placement",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3_Mark_Point_Placement",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"標示座標",
        "visible":"Y"
      }
    ]
  },
  { "main_key":"Help_Menu",
    "type":"pop",
    "ui_level":"0",
    "cmd_name":"Help_Menu",
    "auto_mnemonic":"N",
    "grayed":"N",
    "check":"N",
    "show_name":"說明",
    "visible":"Y",
    "items":[
      { "main_key":"CCmd0Help_Content",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd0Help_Content",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"RCAD_Building說明",
        "visible":"Y"
      },
      { "main_key":"CCmd3Help_About",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3Help_About",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"關於本程式",
        "visible":"Y"
      },
      { "main_key":"CCmd3App_Setting_Files",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd3App_Setting_Files",
        "auto_mnemonic":"Y",
			  "grayed":"N",
        "check":"N",
        "show_name":"顯示參數檔案",
        "visible":"Y"
      },
      { "main_key":"---",
        "type":"---",
        "ui_level":"0",
        "cmd_name":"---",
        "auto_mnemonic":"N",
        "grayed":"N",
        "check":"N",
        "show_name":"---",
        "visible":"Y"
      },
      { "main_key":"ReLicense",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd0_VcppcV_ReLicense",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"重新授權",
        "short_cmd":"ReLicense",
        "visible":"Y"
      },
      { "main_key":"RmLicense",
        "type":"cmd",
        "ui_level":"0",
        "cmd_name":"CCmd0_VcppcV_RmLicense",
        "auto_mnemonic":"Y",
        "grayed":"N",
        "check":"N",
        "show_name":"移除授權",
        "short_cmd":"RmLicense",
        "visible":"Y"
      }
    ]
  }
]
